import javax.swing.JOptionPane;

class H2AL8_2000
{
public static void main(String args[])
{
double faktoriyel=1;
double x;
double us=1;
double exponent=1;
x=Double.parseDouble(JOptionPane.showInputDialog("Bir sayi giriniz : "));
for(double sayi=1;sayi<=200;sayi++)
{
faktoriyel*=sayi;
us*=x;
exponent+=us/faktoriyel;
}
JOptionPane.showMessageDialog(null,"exp("+x+") = "+exponent,
         "exp(x) hesap örneği",JOptionPane.PLAIN_MESSAGE);
System.exit(0);
}
}
